(function(){
    var _fileapi = function(){
		
        this.getFiles = function (path){
            if (typeof createJava != 'undefined') {
                try {
                    var ret = createJava("java.io.File", path, "fileObj");
                    if (!ret) {
                        alert("Error getting file object");
                    }
                    else {
                        var result = new Array();
                        if (!executeJava("fileObj", "exists", null)) {
                            alert("Folder " + path + " does not exist");
                            return null;
                        }
                        var isFolder = executeJava("fileObj", "isDirectory", null);
                        if (isFolder) {
                            var fileList = executeJava("fileObj", "listFiles", "fileList");
                            if (fileList) {
                                var len = getJavaProperty("fileList", "length", null);
                                for (var i = 0; i < len; i++) {
                                    var child = getJavaArrayAt("fileList", i, "child");
                                    var fileName = executeJava("child", "getName", null);
                                    var filePath = executeJava("child", "getAbsolutePath", null);
                                    var isChildFolder = executeJava("child", "isDirectory", null);
                                    result.push({
                                        "name": fileName,
                                        "path": filePath,
                                        "isFolder": isChildFolder
                                    });
                                }
                            }
							disposeJava("fileObj");
                            return result;
                        }
                    }
                } 
                catch (err) {
                    alert("Error - JS Exception - " + err.message);
                }
            }
            else 
                return null;
        }
		
		this.getFullPath = function (shortPath)
		{
            if (typeof createJava == 'undefined')
				return null;

            var ret = createJava("java.io.File", shortPath, "fileObj");
            if (!ret) {
				alert("Error getting file object");
			}
			else {
				var parentPath = executeJava("fileObj", "getCanonicalPath", null);
				disposeJava("fileObj");
				return parentPath;
			}			
		}
		
		this.hasParent = function (path)
		{
            if (typeof createJava == 'undefined')
				return false;
			
            var ret = createJava("java.io.File", path, "fileObj");
            if (!ret) {
				alert("Error getting file object");
			}
			else {
				var parentPath = executeJava("fileObj", "getParent", null);
				return parentPath ? true : false;
			}			
		}		
    }
    
    window.fileApi = new _fileapi();
})();
